# Poco::XML

# class NamespaceStrategy

Library: XML
Package: XML
Header: Poco/XML/NamespaceStrategy.h

## Description

This class is used by ParserEngine to handle the startElement, endElement, startPrefixMapping and endPrefixMapping events.

## Inheritance

Known Derived Classes: NoNamespacesStrategy, NoNamespacePrefixesStrategy, NamespacePrefixesStrategy

## Member Summary

Member Functions: endElement, splitName, startElement

## Destructor

### ~NamespaceStrategy

virtual ~NamespaceStrategy();

## Member Functions

### endElement

virtual void endElement(
const XMLChar * name,
ContentHandler * pContentHandler
) = 0;

Translate the arguments as delivered by Expat and call the endElement() method of the ContentHandler.

### startElement

virtual void startElement(
const XMLChar * name,
const XMLChar * * atts,
int specifiedCount,
ContentHandler * pContentHandler
) = 0;

Translate the arguments as delivered by Expat and call the startElement() method of the ContentHandler.

### splitName

static void splitName(
const XMLChar * qname,
XMLString & uri,
XMLString & localName
);

### splitName

static void splitName(
const XMLChar * qname,
XMLString & uri,
XMLString & localName,
XMLString & prefix
);

## Variables

### NOTHING

static const XMLString NOTHING;